Subject: Re: linux-next: build failure after merge of the staging tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 8 Jan 2013 15:29:51 +1100

Hi Greg,

On Mon, 7 Jan 2013 20:27:30 -0800 Greg KH <[email-masked]> wrote:
>
> On Tue, Jan 08, 2013 at 01:23:52PM +1100, Stephen Rothwell wrote:
> > Hi Greg,
> > 
> > After merging the staging tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/staging/comedi/comedi_fops.c: In function 'comedi_unlocked_ioctl':
> > drivers/staging/comedi/comedi_fops.c:1665:4: error: 'dev_file_info' undeclared (first use in this function)
> > 
> > Caused by commit 4da5fa9a439f ("staging: comedi: use comedi_dev_from_minor
> > ()") interacting with commit 7d3135af399e ("staging: comedi: prevent
> > auto-unconfig of manually configured devices") from the staging.current
> > tree.
> > 
> > I just reverted the latter commit in the hope that the bug is fixed in
> > some other way in the staging tree.
> 
> Yes, I had to do some manual fixup when merging the branches together to
> get it to work properly, which is what I did in my staging-next tree.
> As the fixup was done in the merge commit, maybe you didn't get it when
> you did the pull?

Presumably not (my top of staging-next is d7f9729f6e06) - it was changing
pretty rapidly this morning as I was fetching trees ...

At least it will be OK tomorrow.
-- 
Cheers,
Stephen Rothwell                    [email-masked]